Bug 480990 - init script's stop function always sleeps for 5 seconds
init script's stop function always sleeps for 5 seconds
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.1
All Linux
low Severity medium
: 1.1.1
: ---
Assigned To: Matthew Farrellee
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 11:05 EST by Matthew Farrellee
Modified: 2009-04-21 12:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:19:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2009-01-21 11:05:47 EST
Description of problem:

The init script's stop function always sleeps for 5 seconds, which is often an arbitrary delay


Version-Release number of selected component (if applicable):

7.2.0-3


How reproducible:

100%


Steps to Reproduce:
1. service condor start
2. service condor stop

  
Actual results:

5 second delay


Expected results:

Delay as long as it takes to stop condor


Additional info:
Comment 1 Matthew Farrellee 2009-01-21 11:07:31 EST
This will be fixed in 7.2.0-4

commit ca6199060ceff5d5008bdfdf46de2a483d3d8dc0
Author: Matthew Farrellee <matt>
Date:   Wed Jan 21 09:47:35 2009 -0600

    Fixed silly sleep 5 in init stop
    
    It was replaced with a call to wait_pid, which waits up to 15 seconds
    for the condor_master to exit. An existing issue is if the master
    still hasn't exited after those 15 seconds and stop was invoked as
    part of restart (or if start is invoked before the condor_master
    exists, generally) the subsequent start will think that the master is
    already running, which it is, and will not do anything. The result is
    the master will eventually exit and not actually be restart.
Comment 2 Jan Sarenik 2009-01-29 04:10:19 EST
The bug in $SUBJ is fixed (see below). I have verified
on RHEL5.3 i386, condor-7.2.1-0.1.el5.

It just seems that on freshly installed condor, there
is no directory set-up to store the logs as a non-privileged
user:

---------------------------------------------------
rhel5:~# /etc/init.d/condor start
Starting Condor daemons: Can't open "/var/log/condor/MasterLog"
dprintf() had a fatal error in pid 3315
Can't open "/var/log/condor/MasterLog"
errno: 2 (No such file or directory)
euid: 64, ruid: 0
                                                           [FAILED]
rhel5:~# mkdir /var/log/condor
rhel5:~# /etc/init.d/condor start
Starting Condor daemons: Can't open "/var/log/condor/MasterLog"
dprintf() had a fatal error in pid 3328
Can't open "/var/log/condor/MasterLog"
errno: 13 (Permission denied)
euid: 64, ruid: 0
                                                           [FAILED]
rhel5:~# chgrp condor /var/log/condor
rhel5:~# chmod g+w /var/log/condor/
rhel5:~# /etc/init.d/condor start
Starting Condor daemons:                                   [  OK  ]
rhel5:~# service condor stop
Stopping Condor daemons:                                   [  OK  ]
rhel5:~# /etc/init.d/condor start
Starting Condor daemons:                                   [  OK  ]
rhel5:~# time service condor stop
Stopping Condor daemons:                                   [  OK  ]

real    0m4.291s
user    0m0.080s
sys     0m0.087s
rhel5:~# /etc/init.d/condor start
Starting Condor daemons:                                   [  OK  ]
rhel5:~# time service condor stop
Stopping Condor daemons:                                   [  OK  ]

real    0m5.199s
user    0m0.080s
sys     0m0.077s
rhel5:~# /etc/init.d/condor start
Starting Condor daemons:                                   [  OK  ]
rhel5:~# time service condor stop
Stopping Condor daemons:                                   [  OK  ]

real    0m6.262s
user    0m0.097s
sys     0m0.090s
rhel5:~# /etc/init.d/condor start
Starting Condor daemons:                                   [  OK  ]
rhel5:~# time service condor stop
Stopping Condor daemons:                                   [  OK  ]

real    0m1.131s
user    0m0.070s
sys     0m0.053s
---------------------------------------------------
Comment 3 Jan Sarenik 2009-01-29 04:32:32 EST
The log/condor directory problem is being solved in
https://bugzilla.redhat.com/show_bug.cgi?id=476892
Comment 5 errata-xmlrpc 2009-04-21 12:19:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.